uuid: 1794af27-061e-4dbb-83a2-65454f92381b
langcode: en
status: true
dependencies: {  }
id: upgrade_block_content_entity_form_display
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Body field form display configuration'
source:
  plugin: embedded_data
  data_rows:
    -
      entity_type: block_content
      bundle: basic
      form_mode: default
      field_name: body
  ids:
    entity_type:
      type: string
    bundle:
      type: string
    form_mode:
      type: string
    field_name:
      type: string
  source_module: block
process:
  entity_type:
    -
      plugin: get
      source: entity_type
  bundle:
    -
      plugin: get
      source: bundle
  form_mode:
    -
      plugin: get
      source: form_mode
  field_name:
    -
      plugin: get
      source: field_name
destination:
  plugin: component_entity_form_display
migration_dependencies:
  required:
    - upgrade_block_content_body_field
  optional: {  }
